> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cynopsis.co/llms.txt
> Use this file to discover all available pages before exploring further.

# getExpiredDocumentWithCursorPaginate



## OpenAPI

````yaml get /api/expiring-document
openapi: 3.1.0
info:
  description: Api Documentation
  version: '3.0'
  title: Api Documentation
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.artemis.cynopsis.co
security: []
tags:
  - name: app-config-controller
    description: App Config Controller
  - name: asia-verify-controller
    description: Asia Verify Controller
  - name: authentication-controller
    description: Authentication Controller
  - name: authentication-manager-controller
    description: Authentication Manager Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: comment-controller
    description: Comment Controller
  - name: customer-controller
    description: Customer Controller
  - name: dashboard-controller
    description: Dashboard Controller
  - name: domain-controller
    description: Domain Controller
  - name: expiring-document-controller
    description: Expiring Document Controller
  - name: hand-shake-controller
    description: Hand Shake Controller
  - name: media-controller
    description: Media Controller
  - name: on-going-due-diligent-controller
    description: On Going Due Diligent Controller
  - name: own-restricted-list-controller
    description: Own Restricted List Controller
  - name: periodic-review-controller
    description: Periodic Review Controller
  - name: quick-scan-controller
    description: Quick Scan Controller
  - name: user-controller
    description: User Controller
paths:
  /api/expiring-document:
    get:
      tags:
        - expiring-document-controller
      summary: getExpiredDocumentWithCursorPaginate
      operationId: getExpiredDocumentWithCursorPaginateUsingGET
      parameters:
        - name: authority
          in: query
          required: false
          schema:
            type: string
        - name: claims
          in: query
          required: false
          schema:
            type: object
        - name: domains[0].id
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: domains[0].name
          in: query
          required: false
          schema:
            type: string
        - name: email
          in: query
          required: false
          schema:
            type: string
        - name: endDate
          in: query
          description: endDate
          required: false
          schema:
            type: string
            format: date
        - name: headers
          in: query
          required: false
          schema:
            type: object
        - name: nextToken
          in: query
          description: nextToken
          required: false
          schema:
            type: string
        - name: pageSize
          in: query
          description: pageSize
          required: false
          schema:
            type: integer
            format: int32
            default: 10
        - name: scopes
          in: query
          required: false
          schema:
            type: string
        - name: startDate
          in: query
          description: startDate
          required: false
          schema:
            type: string
            format: date
        - name: tokenValue
          in: query
          required: false
          schema:
            type: string
        - name: userId
          in: query
          required: false
          schema:
            type: string
        - name: X-Domain-ID
          in: header
          description: X-Domain-ID
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/GenericCursorPagination_DocumentResponseDto_
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      security:
        - OAuth2_Client_Credentials: []
        - OAuth2_Password: []
components:
  schemas:
    GenericCursorPagination_DocumentResponseDto_:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/DocumentResponseDto'
        nextToken:
          type: string
        total:
          type: integer
          format: int64
      title: GenericCursorPagination«DocumentResponseDto»
    DocumentResponseDto:
      type: object
      properties:
        assignees:
          type: array
          items:
            $ref: '#/components/schemas/UserInfo'
        authenticity:
          type: string
        back:
          type: string
        backName:
          type: string
        createdAt:
          $ref: '#/components/schemas/Timestamp'
        createdBy:
          $ref: '#/components/schemas/UserInfo'
        customerId:
          type: integer
          format: int64
        expiryDate:
          type: string
          format: date
        front:
          type: string
        frontName:
          type: string
        id:
          type: integer
          format: int64
        issueDate:
          type: string
          format: date
        number:
          type: string
        parentCustomerId:
          type: integer
          format: int64
        parentParticular:
          $ref: '#/components/schemas/JsonNode'
        particular:
          $ref: '#/components/schemas/JsonNode'
        showExpiryNotification:
          type: boolean
        type:
          type: string
        updatedAt:
          $ref: '#/components/schemas/Timestamp'
        updatedBy:
          $ref: '#/components/schemas/UserInfo'
      title: DocumentResponseDto
    UserInfo:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        fullName:
          type: string
        id:
          type: integer
          format: int64
        lastName:
          type: string
      title: UserInfo
    Timestamp:
      type: object
      properties:
        date:
          type: integer
          format: int32
        day:
          type: integer
          format: int32
        hours:
          type: integer
          format: int32
        minutes:
          type: integer
          format: int32
        month:
          type: integer
          format: int32
        nanos:
          type: integer
          format: int32
        seconds:
          type: integer
          format: int32
        time:
          type: integer
          format: int64
        timezoneOffset:
          type: integer
          format: int32
        year:
          type: integer
          format: int32
      title: Timestamp
    JsonNode:
      type: object
      title: JsonNode
  securitySchemes:
    OAuth2_Client_Credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}
    OAuth2_Password:
      type: oauth2
      flows:
        password:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}

````